Bug 729727 - Import deprecation error
Summary: Import deprecation error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Bryan Kearney
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-10 16:29 UTC by Mike McCune
Modified: 2019-09-25 21:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:52:00 UTC


Attachments (Terms of Use)

Description Mike McCune 2011-08-10 16:29:59 UTC
Running the CLI on F15 shows a deprecation error:

$ katello repo list --org=ACME_Corporation --product=Fedora
/usr/lib/python2.6/site-packages/katello/client/core/activation_key.py:20: DeprecationWarning: the sets module is deprecated
  from sets import Set
-----------------------------------------------------------------------------------------------------------------------
                                 Repo List for Product Fedora in Org ACME_Corporation 

 Id                                    Name   Package Count  
-----------------------------------------------------------------------------------------------------------------------
 1312928699455-F152-ACME_Corporation   F152   2935

Comment 1 Lukas Zapletal 2011-08-11 10:39:08 UTC
364cbcb Bug 729727 - Import deprecation error

Comment 2 Garik Khachikyan 2011-09-23 14:18:27 UTC
# VERIFIED

The deprecation issue has gone now.
---
katello> repo list --org ACME_Corporation --product product1
------------------------------------------------------------------------------------------------------------
                          Repo List for Product product1 in Org ACME_Corporation 

 Id                                                                                      Name                                                     Package Count  
------------------------------------------------------------------------------------------------------------
 1316785907496-product1_pub_fedora_linux_releases_15_Fedora_x86_64_os-ACME_Corporation   product1_pub_fedora_linux_releases_15_Fedora_x86_64_os   0              
 1316785907496-product1_pub_fedora_linux_releases_15_Fedora_i386_os-ACME_Corporation     product1_pub_fedora_linux_releases_15_Fedora_i386_os     0              
---

Checked against: katello-cli-0.1.10-1.git.278.85760dc.el6.noarch

Comment 4 Garik Khachikyan 2012-02-01 09:11:39 UTC
# VERIFIED

no deprecation warning any more on calling Katello command(s) from F15 clients.

verified against packages:
---
katello-0.1.207-1.git.0.1fbec20.el6.noarch
katello-cli-0.1.49-1.git.0.6962a71.el6.noarch
pulp-0.0.263-1.el6.noarch
candlepin-0.5.8-1.el6.noarch

Comment 6 Mike McCune 2013-08-16 17:53:18 UTC
getting rid of 6.0.0 version since that doesn't exist


Note You need to log in before you can comment on or make changes to this bug.